View Issue Details

IDProjectCategoryView StatusLast Update
0002451PluginsArclitepublic2014-01-26 13:50
ReporterccaidAssigned Tozg 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002451: arclite не поддерживает корректную распаковку anti-item
Descriptionформат 7z поддерживает так называемые anti-item, предназначенные для удаления файлов в целях организации дифференциальных и прочих бекапов. подробнее об anti-item можно прочитать в 7-zip.chm, раздел об опции -u.
плагин arclite некорректно выполняет распаковку anti-item — вместо удаления файла заменяет его на файл нулевой длины.
Steps To Reproduceвыполнить следующие команды:

mkdir a
mkdir b
cd a
echo 1 >a1
echo 2 >a2
7z a ..\z *
del a1
7z u ..\z -u- -uq3z0!..\zu *

cd ..\b
7z e ..\z.7z

теперь все готово к демонстрации. файл ..\zu.7z содержит anti-item для файла a1. следующие две команды (вторая работает только из ком. строки Far) по разному отрабатывают распаковку anti-item:

7z e ..\zu.7z -y
(здесь повторить распаковку ..\z.7z)
arc:x -o ..\zu.7z
Additional Informationhttp://forum.farmanager.com/viewtopic.php?p=111538#p111538
TagsNo tags attached.

Activities

zg

2014-01-25 13:11

developer   bugnote:0011779

1.6.3.

ps: у меня "arc:x -o ..\zu.7z" не работает. нужно "arc:x -o ..\zu.7z .".

ccaid

2014-01-25 14:46

reporter   bugnote:0011780

да, точка в конце нужна, невнимательно скопировал.
для проверки жду ночнушку.

ccaid

2014-01-26 11:33

reporter   bugnote:0011783

работает

Issue History

Date Modified Username Field Change
2013-07-23 23:59 ccaid New Issue
2013-07-23 23:59 ccaid Status new => assigned
2013-07-23 23:59 ccaid Assigned To => chupakabra
2014-01-25 13:11 zg Note Added: 0011779
2014-01-25 13:11 zg Assigned To chupakabra => zg
2014-01-25 13:11 zg Status assigned => feedback
2014-01-25 14:46 ccaid Note Added: 0011780
2014-01-25 14:46 ccaid Status feedback => assigned
2014-01-26 11:33 ccaid Note Added: 0011783
2014-01-26 13:49 zg Status assigned => resolved
2014-01-26 13:50 zg Status resolved => closed
2014-01-26 13:50 zg Resolution open => fixed
2014-01-26 13:50 zg Fixed in Version => 3.0